"""
python csvの基礎：https://qiita.com/motoki1990/items/0274d8bcf1a97fe4a869

画像コピー時のファイル名について、
csvに記載されているフルパスが"xxx/yyy/zzz.jpg"のため、
"/"でスプリットして最終項を抽出している。
"""

import shutil

import pandas as pd

csv_input = pd.read_csv("predict.csv")
ext_data = csv_input[csv_input["ox"] == "x"].values[:, :4]

save_dir = "extraction"
for i in range(len(ext_data)):
    filename = ext_data[i][0].split("/")
    savename = "ext_" + str(ext_data[i][1]) + "vs" + str(ext_data[i][2]) +"_"
    shutil.copyfile(ext_data[i][0], save_dir + "/" + savename + filename[len(filename) - 1])
